#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

include $(SRC)/Makefile.master

sparc_SUBDIRS= \
	SUNWbcp  \
	SUNWcakr.u \
	SUNWcakr.v \
	SUNWcakrnt2000.v \
	SUNWcar.u  \
	SUNWcar.v  \
	SUNWcart200.v \
	SUNWcg6.u \
	SUNWcg6h  \
	SUNWcpc.u \
	SUNWcpc.v \
	SUNWcpr.u \
	SUNWcti2.u \
	SUNWcvc.u  \
	SUNWcvcr.u \
	SUNWdcsr \
	SUNWdcsu \
	SUNWdrcr.u \
	SUNWdrr.u \
        SUNWdscpr.u \
        SUNWdscpu.u \
	SUNWefcl \
	SUNWefcr \
	SUNWefcu \
	SUNWefc.u \
	SUNWefck \
	SUNWerid \
	SUNWfruid \
	SUNWfruip.u \
	SUNWfsr \
	SUNWfsu \
	SUNWhmd    \
	SUNWhmdu   \
	SUNWidn.u \
	SUNWifp  \
	SUNWifph \
	SUNWjcom \
	SUNWjib \
	SUNWkvm.c  \
	SUNWkvm.d  \
	SUNWkvm.m  \
	SUNWkvm.u  \
	SUNWkvm.v  \
	SUNWkvmt200.v \
	SUNWldomr.v  \
	SUNWldomu.v  \
	SUNWluxd.u \
	SUNWluxl \
	SUNWluxopr \
	SUNWn2cp.v \
	SUNWniumx.v \
	SUNWnxge.u \
	SUNWnxge.v \
	SUNWonmtst.u \
	SUNWonmtst.v \
	SUNWiopc.u \
	SUNWiopc.v \
	SUNWpdu	  \
	SUNWpstl.u \
	SUNWqfed \
	SUNWqus \
	SUNWsckmr \
	SUNWsckmu.u \
	SUNWsckm.u \
	SUNWscmhdlr \
	SUNWsfdr.u \
	SUNWsfdrr.u \
	SUNWssad  \
	SUNWstc.u \
	SUNWus.u \
	SUNWusat10.v \
	SUNWust1.v \
	SUNWust2.v \
	SUNWwbsd

sparc_XMODS= \
	SUNWn2cpact.v

i386_SUBDIRS= \
	SUNWad810 \
	SUNWadixp \
	SUNWagp \
	SUNWagph \
	SUNWamd8111s \
	SUNWahci \
	SUNWamr \
	SUNWarcmsr \
	SUNWatheros \
	SUNWatigfx \
	SUNWaudiohd \
	SUNWcakr.i \
	SUNWcakrx.i \
	SUNWcar.i  \
	SUNWcarx.i  \
	SUNWcpc.i \
	SUNWcpr.i \
	SUNWdfb.i  \
	SUNWdrmr \
	SUNWgrub \
	SUNWgrubS \
	SUNWdcopy \
	SUNWipw \
	SUNWiwh	\
	SUNWiwi \
	SUNWiwk \
	SUNWkvm.i \
	SUNWlxr \
	SUNWlxu \
	SUNWmegasas \
	SUNWmv88sx \
	SUNWnge \
	SUNWnvsata \
	SUNWnxge \
	SUNWonmtst.i \
	SUNWos86r  \
	SUNWpsdcr  \
	SUNWpsdir  \
	SUNWpsh \
	SUNWralink \
	SUNWrmodr \
	SUNWrmodu \
	SUNWrtw \
	SUNWrum \
	SUNWsi3124 \
	SUNWural \
	SUNWvia823x \
	SUNWwpi \
	SUNWxdt \
	SUNWxsvc \
	SUNWxvmipar \
	SUNWxvmipau \
	SUNWxvmpv	\
	SUNWzyd \
	SUNWntxn

i386_XMODS= \
	BRCMbnx \
	SUNWadpu320 \
	SUNWlsimega

COMMON_SUBDIRS= \
	SUNW1394h \
	SUNW1394 \
	SUNWaac \
	SUNWaccr  \
	SUNWaccu  \
	SUNWafe \
	SUNWapct \
	SUNWauda  \
	SUNWaudd  \
	SUNWaudf  \
	SUNWaudh  \
	SUNWaudit \
	SUNWatfsr  \
	SUNWatfsu  \
	SUNWarc  \
	SUNWarbel  \
	SUNWarcr  \
	SUNWastdev \
	SUNWav1394 \
	SUNWbart  \
	SUNWbge \
	SUNWbip \
	SUNWbipr \
	SUNWbnur  \
	SUNWbnuu  \
	SUNWbsr \
	SUNWbsu \
	SUNWbtool  \
	SUNWcdrw \
	SUNWcfcl \
	SUNWcfclr \
	SUNWcfpl \
	SUNWcfplr \
	SUNWchxge \
	SUNWckr  \
	SUNWcnetr  \
	SUNWcnsr \
	SUNWcnsu \
	SUNWcpcu \
	SUNWcsd  \
	SUNWcsr  \
	SUNWcsu  \
	SUNWcsl  \
	SUNWcslr \
	SUNWcstl \
	SUNWdcaf \
	SUNWdcar \
	SUNWdfbh  \
	SUNWdhcm  \
	SUNWdhcsb  \
	SUNWdhcsr  \
	SUNWdhcsu  \
	SUNWdmfe \
	SUNWdmgtr \
	SUNWdmgtu \
	SUNWdsdr  \
	SUNWdsdu  \
	SUNWdoc  \
	SUNWdpl  \
	SUNWdtrc \
	SUNWdtrp \
	SUNWdtrt \
	SUNWemlxs \
	SUNWemlxu \
	SUNWesu  \
	SUNWfchba \
	SUNWfchbar \
	SUNWfcip \
	SUNWfcmdb \
	SUNWfcp \
	SUNWfcprt \
	SUNWfcprtr \
	SUNWfcsm \
	SUNWfctl \
	SUNWfilebench \
	SUNWfmd  \
	SUNWfmdr  \
	SUNWfss \
	SUNWftdur \
	SUNWftduu \
	SUNWftpr  \
	SUNWftpu  \
	SUNWfwdc  \
	SUNWfwdcu  \
	SUNWfwflash  \
	SUNWgssdh  \
	SUNWgssc  \
	SUNWgss	\
	SUNWgssk \
	SUNWhal \
	SUNWhalr \
	SUNWhea  \
	SUNWhwdata \
	SUNWhxge \
	SUNWib \
	SUNWibsdpu \
	SUNWibsdp \
	SUNWiir \
	SUNWiiu \
	SUNWigb \
	SUNWima \
	SUNWimac \
	SUNWimar \
	SUNWimacr \
	SUNWintgige \
	SUNWiotu  \
	SUNWioth  \
	SUNWipc  \
	SUNWipfh  \
	SUNWipfr  \
	SUNWipfu  \
	SUNWipoib \
	SUNWippcore \
	SUNWipplr \
	SUNWipplu \
	SUNWiscsidmr \
	SUNWiscsidmu \
	SUNWiscsir \
	SUNWiscsitgtr \
	SUNWiscsitgtu \
	SUNWiscsitr \
	SUNWiscsitu \
	SUNWiscsiu \
	SUNWisns \
	SUNWisnsadm \
	SUNWisnsr \
	SUNWixgb \
	SUNWixgbe \
	SUNWkrbr \
	SUNWkrbu \
	SUNWldskint \
	SUNWlibsasl \
	SUNWllc \
	SUNWllcr\
	SUNWlldap \
	SUNWlp-cmds \
	SUNWlpr-cmds \
	SUNWkey  \
	SUNWloc  \
	SUNWluxop \
	SUNWmdar \
	SUNWmdau \
	SUNWmdb \
	SUNWmdbdm \
	SUNWmdbr \
	SUNWmddr \
	SUNWmdr \
	SUNWmdu \
	SUNWmibii \
	SUNWmmsr \
	SUNWmmsu \
	SUNWmpapi \
	SUNWmpapir \
	SUNWmpathadm \
	SUNWmpsvplr \
	SUNWmptsas \
	SUNWmrsas \
	SUNWmxfe \
	SUNWncar \
	SUNWncau \
	SUNWndmpr \
	SUNWndmpu \
	SUNWnetcat \
	SUNWnfsckr \
	SUNWnfsskr \
	SUNWnfssr \
	SUNWnfscr \
	SUNWnfssu \
	SUNWnfscu \
	SUNWnisr  \
	SUNWnisu  \
	SUNWntpr  \
	SUNWntpu  \
	SUNWnwamintr \
	SUNWnwamintu \
	SUNWocf \
	SUNWocfd \
	SUNWocfh \
	SUNWocfr \
	SUNWonfmes \
	SUNWonzfs \
	SUNWopenssl-man \
	SUNWopenssl-libraries \
	SUNWopenssl-include \
	SUNWopenssl-commands \
	SUNWopensslr \
	SUNWosdem \
	SUNWypr \
	SUNWypu \
	SUNWpamsc \
	SUNWpapi \
	SUNWpcan \
	SUNWpcelx \
	SUNWpcmci  \
	SUNWpcmcu  \
	SUNWpcmem \
	SUNWpcr	\
	SUNWpcser \
	SUNWpcu	\
	SUNWpcwl \
	SUNWpd    \
	SUNWphx \
	SUNWpolkit \
	PHXext \
	SUNWperl584core \
	SUNWperl584usr \
	SUNWpiclh \
	SUNWpiclu \
	SUNWpiclr \
	SUNWpool \
	SUNWpoold \
	SUNWpoolr \
	SUNWpowertop \
	SUNWppm \
	SUNWpppd \
	SUNWpppdu \
	SUNWpppdr \
	SUNWpppdt \
	SUNWpppg \
	SUNWpppgS \
	SUNWpsdpr \
	SUNWpsf	\
	SUNWpsm-ipp \
	SUNWpsm-lpd \
	SUNWpmr \
	SUNWpmu \
	SUNWpsr	\
	SUNWpsu	\
	SUNWqlc \
	SUNWqlcu \
	SUNWqos \
	SUNWqosu \
	SUNWrcapr \
	SUNWrcapu \
	SUNWrcmdc \
	SUNWrcmdr \
	SUNWrcmds \
	SUNWrdcr \
	SUNWrdcu \
	SUNWrds \
	SUNWrge \
	SUNWrmvolmgr \
	SUNWrmvolmgrr \
	SUNWrmwbr \
	SUNWrmwbu \
	SUNWroute \
	SUNWroutr \
	SUNWrpcib \
	SUNWrsg \
	SUNWrsgk \
	SUNWrsm	\
	SUNWrsmo \
	SUNWrtls \
	SUNWsacom \
	SUNWsasnm \
	SUNWsbp2 \
	SUNWscmr \
	SUNWscmu \
	SUNWscpr  \
	SUNWscpu  \
	SUNWscplp  \
	SUNWscsa1394  \
	SUNWscsip \
	SUNWsdcard \
	SUNWses \
	SUNWsfe \
	SUNWslpr \
	SUNWslpu \
	SUNWsmapi  \
	SUNWsmbfskr \
	SUNWsmbfsr \
	SUNWsmbfsu \
	SUNWsmbskr  \
	SUNWsmbsr  \
	SUNWsmbsu  \
	SUNWsmedia \
	SUNWsmediar \
	SUNWsmhba \
	SUNWsmhbar \
	SUNWsmpd \
	SUNWsn1rint \
	SUNWsn1uint \
	SUNWsndmr  \
	SUNWsndmu  \
	SUNWspnego \
	SUNWspsvr \
	SUNWspsvu \
	SUNWsra  \
	SUNWsrh  \
	SUNWsshcu \
	SUNWsshr \
	SUNWsshu \
	SUNWsshdr \
	SUNWsshdu \
	SUNWstmf \
	SUNWstmfu \
	SUNWtcpd \
	SUNWtcpdS \
	SUNWtecla \
	SUNWter  \
	SUNWtftpr  \
	SUNWtftp  \
	SUNWtnetc \
	SUNWtnetr \
	SUNWtnetd \
	SUNWtnfc  \
	SUNWtnfd  \
	SUNWtoo  \
	SUNWtsg  \
	SUNWtsr  \
	SUNWtsu  \
	SUNWuacm \
	SUNWucbt \
	SUNWudaplr \
	SUNWudaplu \
	SUNWudf \
	SUNWudfr \
	SUNWuedg \
	SUNWugen \
	SUNWugenu \
	SUNWuksp \
	SUNWukspfw \
	SUNWuprl \
	SUNWusbvc \
	SUNWusb \
	SUNWusbs \
	SUNWusbu \
	SUNWvscankr \
	SUNWvscanr \
	SUNWvscanu \
	SUNWwlanr  \
	SUNWwlanu  \
	SUNWwpar  \
	SUNWwpau  \
	SUNWxcu4  \
	SUNWxcu6  \
	SUNWxwdv \
	SUNWxge \
	SUNWzfskr \
	SUNWzfsr \
	SUNWzfsu \
	SUNWzoneint \
	SUNWzoner \
	SUNWzoneu

COMMON_XMODS= \
	SUNWcryptoint \
	SUNWhermon  \
	SUNWibsdpib \
	SUNWkdcr \
	SUNWkdcu \
	SUNWstatl \
	SUNWsvvs \
	SUNWtavor \
	SUNWudapltr \
	SUNWudapltu \
	SUNWwbint \
	SUNWwbsup

SUBDIRS= $($(MACH)_SUBDIRS) $(COMMON_SUBDIRS)

XMODS= $($(MACH)_XMODS) $(COMMON_XMODS)


all :=		TARGET= all
install :=	TARGET= install
install_h :=	TARGET= install_h
clean :=	TARGET= clean
clobber :=	TARGET= clobber

%: %.ksh
	$(RM) $@
	cp $< $@
	chmod +x $@

.KEEP_STATE:

.PARALLEL: $(SUBDIRS) $(XMODS)

all install: awk_pkginfo $(SUBDIRS) $(XMODS)

clean clobber: $(SUBDIRS) $(XMODS)
	$(RM) awk_pkginfo bld_awk_pkginfo

$(SUBDIRS): FRC
	@cd $@; pwd; $(MAKE) $(TARGET)

$(XMODS):       FRC
	@if [ -f $@/Makefile  ]; then \
		cd $@; pwd; $(MAKE) $(TARGET); \
	else \
		true; \
	fi

awk_pkginfo: bld_awk_pkginfo
	./bld_awk_pkginfo -m $(MACH) -p "$(RELEASE)/$(VERSION)" -o $@ -v \
	$(ONVERS)

FRC:

# EXPORT DELETE START
EXPORT_SRC:
	$(RM) -r $(sparc_XMODS) $(i386_XMODS) $(COMMON_XMODS)
	$(RM) Makefile+
	sed -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
	    < Makefile > Makefile+
	$(MV) Makefile+ Makefile
	$(CHMOD) 444 Makefile
	$(RM) SUNWos86r/prototype_i386+
	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
		< SUNWos86r/prototype_i386 > SUNWos86r/prototype_i386+
	$(MV) -f SUNWos86r/prototype_i386+ SUNWos86r/prototype_i386
	$(CHMOD) 444 SUNWos86r/prototype_i386
	$(RM) SUNWcsl/prototype_com+
	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
		< SUNWcsl/prototype_com > SUNWcsl/prototype_com+
	$(MV) -f SUNWcsl/prototype_com+ SUNWcsl/prototype_com
	$(CHMOD) 444 SUNWcsl/prototype_com
	$(RM) SUNWcsl/prototype_i386+
	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
		< SUNWcsl/prototype_i386 > SUNWcsl/prototype_i386+
	$(MV) -f SUNWcsl/prototype_i386+ SUNWcsl/prototype_i386
	$(CHMOD) 444 SUNWcsl/prototype_i386
	$(RM) SUNWcsl/prototype_sparc+
	$(SED) -e "/^# EXPORT DELETE START/,/^# EXPORT DELETE END/d" \
		< SUNWcsl/prototype_sparc > SUNWcsl/prototype_sparc+
	$(MV) -f SUNWcsl/prototype_sparc+ SUNWcsl/prototype_sparc
	$(CHMOD) 444 SUNWcsl/prototype_sparc

CRYPT_SRC:
	$(RM) SUNWcryptoint/prototype_com+
	$(SED) -e "/^# CRYPT DELETE START/,/^# CRYPT DELETE END/d" \
		< SUNWcryptoint/prototype_com > SUNWcryptoint/prototype_com+
	$(MV) -f SUNWcryptoint/prototype_com+ SUNWcryptoint/prototype_com
	$(CHMOD) 444 SUNWcryptoint/prototype_com

# EXPORT DELETE END
